Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRTemplatePrintText

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRTemplatePrintElement
          net.sf.jasperreports.engine.fill.JRTemplatePrintText

All Implemented Interfaces:
  java.io.Serializable, JRAlignment, JRBox, JRBoxContainer, JRCommonElement, JRCommonText, JRFont, JRPrintAnchor, JRPrintElement, JRPrintHyperlink, JRPrintText, JRPropertiesHolder, JRStyleContainer

Direct Known Subclasses:
  JRRecordedValuesPrintText

    public class JRTemplatePrintText

extends JRTemplatePrintElement
implements JRPrintText

Implementation of `JRPrintText` that uses a `JRTemplateText` instance to store common attributes.

Version:
  $Id: JRTemplatePrintText.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected int` | `bookmarkLevel` The bookmark level for the anchor associated with this field.

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement
`template`

Fields inherited from interface net.sf.jasperreports.engine.JRPrintText
`RUN_DIRECTION_LTR, RUN_DIRECTION_RTL, ZERO_LINE_BREAK_OFFSETS`

Fields inherited from interface net.sf.jasperreports.engine.JRAlignment
`HORIZONTAL_ALIGN_CENTER, HORIZONTAL_ALIGN_JUSTIFIED, HORIZONTAL_ALIGN_LEFT, HORIZONTAL_ALIGN_RIGHT, VERTICAL_ALIGN_BOTTOM, VERTICAL_ALIGN_JUSTIFIED, VERTICAL_ALIGN_MIDDLE, VERTICAL_ALIGN_TOP`

Fields inherited from interface net.sf.jasperreports.engine.JRFont
`DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

Fields inherited from interface net.sf.jasperreports.engine.JRCommonText
`MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

Constructor Summary
`JRTemplatePrintText(JRTemplateText text)` Creates a print text element.

Method Summary
`
`<T> void`
` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
`java.lang.String` | `getAnchorName()`
`int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.
`byte` | `getBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getBox()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getBottomPadding()` Deprecated. Replaced by `getBox()`
`JRBox` | `getBox()` Deprecated. Replaced by `getLineBox()`
`JRFont` | `getFont()` Deprecated.
`java.lang.String` | `getFontName()`
`int` | `getFontSize()`
`java.lang.String` | `getFormatFactoryClass()` Returns the name of the class implementing the `FormatFactory` interface to use with this text element, in case it is not the same as the one for the overall document.
`JRStyledText` | `getFullStyledText(JRStyledTextAttributeSelector attributeSelector)` Returns the full styled text of this object.
`java.lang.String` | `getFullText()` Returns the full (not truncated) text of this object.
`byte` | `getHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
`java.lang.String` | `getHyperlinkAnchor()`
`java.lang.Integer` | `getHyperlinkPage()`
`JRPrintHyperlinkParameters` | `getHyperlinkParameters()` Returns the set of custom hyperlink parameters.
`java.lang.String` | `getHyperlinkReference()`
`byte` | `getHyperlinkTarget()` Deprecated. Replaced by `getHyperlinkTargetValue()`.
`HyperlinkTargetEnum` | `getHyperlinkTargetValue()`
`java.lang.String` | `getHyperlinkTooltip()` Returns the hyperlink tooltip.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`float` | `getLeadingOffset()`
`byte` | `getLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getLeftPadding()` Deprecated. Replaced by `getBox()`
`JRLineBox` | `getLineBox()`
`short[]` | `getLineBreakOffsets()` Returns the line break offsets for the text if saved during report fill.
`byte` | `getLineSpacing()` Deprecated. Replaced by `getLineSpacingValue()`.
`float` | `getLineSpacingFactor()`
`LineSpacingEnum` | `getLineSpacingValue()` Gets the text line spacing.
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`java.lang.String` | `getLocaleCode()` Returns the code of the `java.util.Locale` which was used while formatting the source value of the text.
`java.lang.String` | `getMarkup()` Returns the text markup.
`java.lang.String` | `getOriginalText()` Returns the original text that was set in this object.
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getBox()`
`java.lang.String` | `getOwnFontName()`
`java.lang.Integer` | `getOwnFontSize()`
`java.lang.Byte` | `getOwnHorizontalAlignment()` Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnLineSpacing()` Deprecated. Replaced by `getOwnLineSpacingValue()`.
`LineSpacingEnum` | `getOwnLineSpacingValue()` Gets the text own line spacing.
`java.lang.String` | `getOwnMarkup()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getBox()`
`java.lang.String` | `getOwnPdfEncoding()`
`java.lang.String` | `getOwnPdfFontName()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnRotation()` Deprecated. Replaced by `getOwnRotationValue()`.
`RotationEnum` | `getOwnRotationValue()` Gets the text own rotation.
`java.lang.Integer` | `getOwnSize()` Deprecated. Replaced by `getOwnFontSize()`.
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnVerticalAlignment()` Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
`int` | `getPadding()` Deprecated. Replaced by `getBox()`
`java.lang.String` | `getPattern()` Returns the pattern used to format a value that was the source of this text.
`java.lang.String` | `getPdfEncoding()`
`java.lang.String` | `getPdfFontName()`
`JRReportFont` | `getReportFont()`
`byte` | `getRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getRightPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getRotation()` Deprecated. Replaced by `getRotationValue()`.
`RotationEnum` | `getRotationValue()` Gets the text rotation.
`byte` | `getRunDirection()` Deprecated. Replaced by `getRunDirectionValue()`.
`RunDirectionEnum` | `getRunDirectionValue()` Gets the text run direction.
`int` | `getSize()` Deprecated. Replaced by `getFontSize()`.
`JRStyledText` | `getStyledText(JRStyledTextAttributeSelector attributeSelector)` Returns the styled text for this object.
`java.lang.String` | `getText()` Returns the possibly truncated (when `JRPrintText.getTextTruncateIndex()` is not null) text of this object.
`byte` | `getTextAlignment()` Deprecated. Replaced by `getHorizontalAlignment()`.
`float` | `getTextHeight()`
`java.lang.Integer` | `getTextTruncateIndex()` Returns the index to which this object's text is to be truncated.
`java.lang.String` | `getTextTruncateSuffix()` Returns the suffix that is to be appended to the truncated text (as returned by `JRPrintText.getText()`.
`java.lang.String` | `getTimeZoneId()` Returns the `ID` of the `java.util.TimeZone` used to format this text's date source value.
`byte` | `getTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getTopPadding()` Deprecated. Replaced by `getBox()`
`java.lang.String` | `getValueClassName()` Returns the type of the value which was used to generate this text.
`byte` | `getVerticalAlignment()` Deprecated. Replaced by `getVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
`boolean` | `isBold()`
`boolean` | `isItalic()`
`java.lang.Boolean` | `isOwnBold()`
`java.lang.Boolean` | `isOwnItalic()`
`java.lang.Boolean` | `isOwnPdfEmbedded()`
`java.lang.Boolean` | `isOwnStrikeThrough()`
`java.lang.Boolean` | `isOwnStyledText()` Deprecated. Replaced by `getOwnMarkup()`
`java.lang.Boolean` | `isOwnUnderline()`
`boolean` | `isPdfEmbedded()`
`boolean` | `isStrikeThrough()`
`boolean` | `isStyledText()` Deprecated. Replaced by `getMarkup()`
`boolean` | `isUnderline()`
`void` | `setAnchorName(java.lang.String anchorName)`
`void` | `setBold(boolean isBold)`
`void` | `setBold(java.lang.Boolean isBold)` Alternative setBold method which allows also to reset the "own" isBold property.
`void` | `setBookmarkLevel(int bookmarkLevel)` Sets the boomark level for the anchor.
`void` | `setBorder(byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBox(JRBox box)` Deprecated. Replaced by `getLineBox()`
`void` | `setFont(JRFont font)` Deprecated.
`void` | `setFontName(java.lang.String fontName)`
`void` | `setFontSize(int fontSize)`
`void` | `setFontSize(java.lang.Integer fontSize)` Alternative setSize method which allows also to reset the "own" size property.
`void` | `setHorizontalAlignment(byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(java.lang.Byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)` Sets the text horizontal alignment.
`void` | `setHyperlinkAnchor(java.lang.String hyperlinkAnchor)`
`void` | `setHyperlinkPage(java.lang.Integer hyperlinkPage)`
`void` | `setHyperlinkParameters(JRPrintHyperlinkParameters hyperlinkParameters)` Sets the custom hyperlink parameters.
`void` | `setHyperlinkReference(java.lang.String hyperlinkReference)`
`void` | `setHyperlinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.
`void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
`void` | `setHyperlinkTooltip(java.lang.String hyperlinkTooltip)` Sets the tooltip to be used for the hyperlink.
`void` | `setHyperlinkType(byte hyperlinkType)` Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.
`void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
`void` | `setItalic(boolean isItalic)`
`void` | `setItalic(java.lang.Boolean isItalic)` Alternative setItalic method which allows also to reset the "own" isItalic property.
`void` | `setLeadingOffset(float leadingOffset)`
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLineBreakOffsets(short[] lineBreakOffsets)` Sets the line break offsets for the text.
`void` | `setLineSpacing(byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.
`void` | `setLineSpacing(java.lang.Byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.
`void` | `setLineSpacing(LineSpacingEnum lineSpacing)` Sets the text line spacing.
`void` | `setLineSpacingFactor(float lineSpacingFactor)`
`void` | `setLinkTarget(byte hyperlinkTarget)`
`void` | `setLinkTarget(java.lang.String linkTarget)` Sets the hyperlink target name.
`void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.
`void` | `setMarkup(java.lang.String markup)`
`void` | `setPadding(int padding)` Deprecated. Replaced by `getBox()`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `getBox()`
`void` | `setPdfEmbedded(boolean isPdfEmbedded)`
`void` | `setPdfEmbedded(java.lang.Boolean isPdfEmbedded)` Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.
`void` | `setPdfEncoding(java.lang.String pdfEncoding)`
`void` | `setPdfFontName(java.lang.String pdfFontName)`
`void` | `setReportFont(JRReportFont reportFont)`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setRotation(byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(java.lang.Byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(RotationEnum rotation)` Sets the text rotation.
`void` | `setRunDirection(byte runDirection)` Deprecated. Replaced by `setRunDirection(RunDirectionEnum)`.
`void` | `setRunDirection(RunDirectionEnum runDirectionValue)` Sets the text run direction.
`void` | `setSize(int size)` Deprecated. Replaced by `setFontSize(int)`.
`void` | `setSize(java.lang.Integer size)` Deprecated. Replaced by `setFontSize(Integer)`.
`void` | `setStrikeThrough(boolean isStrikeThrough)`
`void` | `setStrikeThrough(java.lang.Boolean isStrikeThrough)` Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.
`void` | `setStyledText(boolean isStyledText)` Deprecated. Replaced by `setMarkup(String)`.
`void` | `setStyledText(java.lang.Boolean isStyledText)` Deprecated. Replaced by `setMarkup(String)`.
`void` | `setText(java.lang.String text)` Set the text for this object.
`void` | `setTextAlignment(byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(byte)`.
`void` | `setTextHeight(float textHeight)`
`void` | `setTextTruncateIndex(java.lang.Integer textTruncateIndex)` Sets the index to which this object's text is to be truncated.
`void` | `setTextTruncateSuffix(java.lang.String textTruncateSuffix)` Sets the suffix to be appended to the truncated text.
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setUnderline(boolean isUnderline)`
`void` | `setUnderline(java.lang.Boolean isUnderline)` Alternative setUnderline method which allows also to reset the "own" isUnderline property.
`void` | `setVerticalAlignment(byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(java.lang.Byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignment)` Gets the text vertical alignment.

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement
`getBackcolor, getDefaultLineColor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getMode, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getTemplate, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setMode, setMode, setMode, setStyle, setTemplate, setWidth, setX, setY, updateElementTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement
`getHeight, getKey, getOrigin, getWidth, getX, getY, setHeight, setStyle, setWidth, setX, setY`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Field Detail

### bookmarkLevel

    protected int bookmarkLevel

  The bookmark level for the anchor associated with this field.

  See Also:
    `JRAnchor.getBookmarkLevel()`

Constructor Detail

### JRTemplatePrintText

    public JRTemplatePrintText(JRTemplateText text)

  Creates a print text element.

  Parameters:
    `text` - the template text that the element will use

Method Detail

### getText

    public java.lang.String getText()

  Description copied from interface: `JRPrintText`
  Returns the possibly truncated (when `JRPrintText.getTextTruncateIndex()` is not null) text of this object.

  Specified by:
    `getText` in interface `JRPrintText`
  Returns:
    the text of this object
  See Also:
    `JRPrintText.getFullText()`, `JRPrintText.getTextTruncateSuffix()`

### setText

    public void setText(java.lang.String text)

  Description copied from interface: `JRPrintText`
  Set the text for this object.

  Specified by:
    `setText` in interface `JRPrintText`
  Parameters:
    `text` - the text
  See Also:
    `JRPrintText.setTextTruncateIndex(Integer)`

### getTextTruncateIndex

    public java.lang.Integer getTextTruncateIndex()

  Description copied from interface: `JRPrintText`
  Returns the index to which this object's text is to be truncated. This index is usually set at report fill time when the engine is instructed to keep the full text in the print text object.

  Specified by:
    `getTextTruncateIndex` in interface `JRPrintText`
  Returns:
    the index to which this object's text is to be truncated
  See Also:
    `JRTextElement.PROPERTY_PRINT_KEEP_FULL_TEXT`, `JRPrintText.getTextTruncateSuffix()`

### setTextTruncateIndex

    public void setTextTruncateIndex(java.lang.Integer textTruncateIndex)

  Description copied from interface: `JRPrintText`
  Sets the index to which this object's text is to be truncated. The test is truncated when `JRPrintText.getText()` or `JRPrintText.getStyledText(JRStyledTextAttributeSelector)` are called.

  Specified by:
    `setTextTruncateIndex` in interface `JRPrintText`
  Parameters:
    `textTruncateIndex` - the index to which this object's text is to be truncated

### getTextTruncateSuffix

    public java.lang.String getTextTruncateSuffix()

  Description copied from interface: `JRPrintText`
  Returns the suffix that is to be appended to the truncated text (as returned by `JRPrintText.getText()`.

  Specified by:
    `getTextTruncateSuffix` in interface `JRPrintText`
  Returns:
    the truncated text suffix
  See Also:
    `JRTextElement.PROPERTY_TRUNCATE_SUFFIX`

### setTextTruncateSuffix

    public void setTextTruncateSuffix(java.lang.String textTruncateSuffix)

  Description copied from interface: `JRPrintText`
  Sets the suffix to be appended to the truncated text.

  Specified by:
    `setTextTruncateSuffix` in interface `JRPrintText`
  Parameters:
    `textTruncateSuffix` - the suffix to be appended to the truncated text
  See Also:
    `JRPrintText.getTextTruncateSuffix()`

### getLineBreakOffsets

    public short[] getLineBreakOffsets()

  Description copied from interface: `JRPrintText`
  Returns the line break offsets for the text if saved during report fill.

  The array of offsets is incremental, each offset adds to the previous value. I.e. the positions at which line breaks occur are `offset[0]`, `offset[0] + offset[1]`, `offset[0] + offset[1] + offset[2]` and so on.

  This array does not include positions for explicit line breaks in the text, i.e. for line breaks that occur due to new line characters in the text. The array only includes line break positions within a paragraph in the text.

  If the text was meant to have saved line break offsets but no (non explicit) breaks were detected (e.g. if the text is a single line), this method will return a zero-length array. If the text was not meant to include saved line breaks, the method will return `null`.

  Specified by:
    `getLineBreakOffsets` in interface `JRPrintText`
  Returns:
    the line break offsets (possibly zero-length array), or `null` if no line break positions were saved during the fill
  See Also:
    `JRTextElement.PROPERTY_SAVE_LINE_BREAKS`

### setLineBreakOffsets

    public void setLineBreakOffsets(short[] lineBreakOffsets)

  Description copied from interface: `JRPrintText`
  Sets the line break offsets for the text.

  Specified by:
    `setLineBreakOffsets` in interface `JRPrintText`
  Parameters:
    `lineBreakOffsets` - the line break offsets
  See Also:
    `JRPrintText.getLineBreakOffsets()`

### getFullText

    public java.lang.String getFullText()

  Description copied from interface: `JRPrintText`
  Returns the full (not truncated) text of this object.

  Specified by:
    `getFullText` in interface `JRPrintText`
  Returns:
    the full text of this object
  See Also:
    `JRPrintText.getText()`, `JRPrintText.getTextTruncateIndex()`

### getOriginalText

    public java.lang.String getOriginalText()

  Description copied from interface: `JRPrintText`
  Returns the original text that was set in this object.

  Specified by:
    `getOriginalText` in interface `JRPrintText`
  Returns:
    the original text

### getStyledText

    public JRStyledText getStyledText(JRStyledTextAttributeSelector attributeSelector)

  Description copied from interface: `JRPrintText`
  Returns the styled text for this object. The text is truncated according to `JRPrintText.getText()`.

  Specified by:
    `getStyledText` in interface `JRPrintText`
  Parameters:
    `attributeSelector` - the styled text attribute selector
  Returns:
    the possibly truncated styled text for this object

### getFullStyledText

    public JRStyledText getFullStyledText(JRStyledTextAttributeSelector attributeSelector)

  Description copied from interface: `JRPrintText`
  Returns the full styled text of this object.

  Specified by:
    `getFullStyledText` in interface `JRPrintText`
  Parameters:
    `attributeSelector` - the styled text attribute selector
  Returns:
    the full styled text of this object
  See Also:
    `JRPrintText.getFullText()`

### getLineSpacingFactor

    public float getLineSpacingFactor()

  Specified by:
    `getLineSpacingFactor` in interface `JRPrintText`

### setLineSpacingFactor

    public void setLineSpacingFactor(float lineSpacingFactor)

  Specified by:
    `setLineSpacingFactor` in interface `JRPrintText`

### getLeadingOffset

    public float getLeadingOffset()

  Specified by:
    `getLeadingOffset` in interface `JRPrintText`

### setLeadingOffset

    public void setLeadingOffset(float leadingOffset)

  Specified by:
    `setLeadingOffset` in interface `JRPrintText`

### getTextAlignment

    public byte getTextAlignment()

  Deprecated. Replaced by `getHorizontalAlignment()`.

  Specified by:
    `getTextAlignment` in interface `JRPrintText`

### setTextAlignment

    public void setTextAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(byte)`.

  Specified by:
    `setTextAlignment` in interface `JRPrintText`

### getHorizontalAlignment

    public byte getHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

  Specified by:
    `getHorizontalAlignment` in interface `JRAlignment`

### getOwnHorizontalAlignment

    public java.lang.Byte getOwnHorizontalAlignment()

  Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.

  Specified by:
    `getOwnHorizontalAlignment` in interface `JRAlignment`

### getHorizontalAlignmentValue

    public HorizontalAlignEnum getHorizontalAlignmentValue()

  Description copied from interface: `JRAlignment`
  Gets the text horizontal alignment.

  Specified by:
    `getHorizontalAlignmentValue` in interface `JRAlignment`
  Returns:
    a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getOwnHorizontalAlignmentValue

    public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

  Specified by:
    `getOwnHorizontalAlignmentValue` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(java.lang.Byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

  Description copied from interface: `JRAlignment`
  Sets the text horizontal alignment.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`
  Parameters:
    `horizontalAlignment` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getVerticalAlignment

    public byte getVerticalAlignment()

  Deprecated. Replaced by `getVerticalAlignmentValue()`.

  Specified by:
    `getVerticalAlignment` in interface `JRAlignment`

### getOwnVerticalAlignment

    public java.lang.Byte getOwnVerticalAlignment()

  Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.

  Specified by:
    `getOwnVerticalAlignment` in interface `JRAlignment`

### getVerticalAlignmentValue

    public VerticalAlignEnum getVerticalAlignmentValue()

  Description copied from interface: `JRAlignment`
  Gets the text vertical alignment.

  Specified by:
    `getVerticalAlignmentValue` in interface `JRAlignment`
  Returns:
    a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### getOwnVerticalAlignmentValue

    public VerticalAlignEnum getOwnVerticalAlignmentValue()

  Specified by:
    `getOwnVerticalAlignmentValue` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(java.lang.Byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(VerticalAlignEnum verticalAlignment)

  Description copied from interface: `JRAlignment`
  Gets the text vertical alignment.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`
  Parameters:
    `verticalAlignment` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### getRotation

    public byte getRotation()

  Deprecated. Replaced by `getRotationValue()`.

  Specified by:
    `getRotation` in interface `JRCommonText`

### getOwnRotation

    public java.lang.Byte getOwnRotation()

  Deprecated. Replaced by `getOwnRotationValue()`.

  Specified by:
    `getOwnRotation` in interface `JRCommonText`
  Specified by:
    `getOwnRotation` in interface `JRPrintText`

### setRotation

    public void setRotation(byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

  Specified by:
    `setRotation` in interface `JRCommonText`
  Specified by:
    `setRotation` in interface `JRPrintText`

### setRotation

    public void setRotation(java.lang.Byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

  Specified by:
    `setRotation` in interface `JRCommonText`
  Specified by:
    `setRotation` in interface `JRPrintText`

### getRotationValue

    public RotationEnum getRotationValue()

  Description copied from interface: `JRCommonText`
  Gets the text rotation.

  Specified by:
    `getRotationValue` in interface `JRCommonText`
  Returns:
    a value representing one of the text rotation constants in `RotationEnum`

### getOwnRotationValue

    public RotationEnum getOwnRotationValue()

  Description copied from interface: `JRPrintText`
  Gets the text own rotation.

  Specified by:
    `getOwnRotationValue` in interface `JRCommonText`
  Specified by:
    `getOwnRotationValue` in interface `JRPrintText`
  Returns:
    a value representing one of the text rotation constants in `RotationEnum`

### setRotation

    public void setRotation(RotationEnum rotation)

  Description copied from interface: `JRPrintText`
  Sets the text rotation.

  Specified by:
    `setRotation` in interface `JRCommonText`
  Specified by:
    `setRotation` in interface `JRPrintText`
  Parameters:
    `rotation` - a value representing one of the text rotation constants in `RotationEnum`

### getRunDirection

    public byte getRunDirection()

  Deprecated. Replaced by `getRunDirectionValue()`.

  Specified by:
    `getRunDirection` in interface `JRPrintText`

### setRunDirection

    public void setRunDirection(byte runDirection)

  Deprecated. Replaced by `setRunDirection(RunDirectionEnum)`.

  Specified by:
    `setRunDirection` in interface `JRPrintText`

### getRunDirectionValue

    public RunDirectionEnum getRunDirectionValue()

  Description copied from interface: `JRPrintText`
  Gets the text run direction.

  Specified by:
    `getRunDirectionValue` in interface `JRPrintText`
  Returns:
    a value representing one of the run direction constants in `RunDirectionEnum`

### setRunDirection

    public void setRunDirection(RunDirectionEnum runDirectionValue)

  Description copied from interface: `JRPrintText`
  Sets the text run direction.

  Specified by:
    `setRunDirection` in interface `JRPrintText`
  Parameters:
    `runDirectionValue` - a value representing one of the text run direction constants in `RunDirectionEnum`

### getTextHeight

    public float getTextHeight()

  Specified by:
    `getTextHeight` in interface `JRPrintText`

### setTextHeight

    public void setTextHeight(float textHeight)

  Specified by:
    `setTextHeight` in interface `JRPrintText`

### getLineSpacing

    public byte getLineSpacing()

  Deprecated. Replaced by `getLineSpacingValue()`.

  Specified by:
    `getLineSpacing` in interface `JRCommonText`

### getOwnLineSpacing

    public java.lang.Byte getOwnLineSpacing()

  Deprecated. Replaced by `getOwnLineSpacingValue()`.

  Specified by:
    `getOwnLineSpacing` in interface `JRCommonText`
  Specified by:
    `getOwnLineSpacing` in interface `JRPrintText`

### setLineSpacing

    public void setLineSpacing(byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.

  Specified by:
    `setLineSpacing` in interface `JRCommonText`
  Specified by:
    `setLineSpacing` in interface `JRPrintText`

### setLineSpacing

    public void setLineSpacing(java.lang.Byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.

  Specified by:
    `setLineSpacing` in interface `JRCommonText`
  Specified by:
    `setLineSpacing` in interface `JRPrintText`

### getLineSpacingValue

    public LineSpacingEnum getLineSpacingValue()

  Description copied from interface: `JRCommonText`
  Gets the text line spacing.

  Specified by:
    `getLineSpacingValue` in interface `JRCommonText`
  Returns:
    a value representing one of the line spacing constants in `LineSpacingEnum`

### getOwnLineSpacingValue

    public LineSpacingEnum getOwnLineSpacingValue()

  Description copied from interface: `JRCommonText`
  Gets the text own line spacing.

  Specified by:
    `getOwnLineSpacingValue` in interface `JRCommonText`
  Specified by:
    `getOwnLineSpacingValue` in interface `JRPrintText`
  Returns:
    a value representing one of the line spacing constants in `LineSpacingEnum`

### setLineSpacing

    public void setLineSpacing(LineSpacingEnum lineSpacing)

  Description copied from interface: `JRCommonText`
  Sets the text line spacing.

  Specified by:
    `setLineSpacing` in interface `JRCommonText`
  Specified by:
    `setLineSpacing` in interface `JRPrintText`
  Parameters:
    `lineSpacing` - a value representing one of the line spacing constants in `LineSpacingEnum`

### isStyledText

    public boolean isStyledText()

  Deprecated. Replaced by `getMarkup()`

  Description copied from interface: `JRCommonText`
  Returns true if the text can contain style tags.

  Specified by:
    `isStyledText` in interface `JRCommonText`

### isOwnStyledText

    public java.lang.Boolean isOwnStyledText()

  Deprecated. Replaced by `getOwnMarkup()`

  Specified by:
    `isOwnStyledText` in interface `JRCommonText`

### setStyledText

    public void setStyledText(boolean isStyledText)

  Deprecated. Replaced by `setMarkup(String)`.

  Specified by:
    `setStyledText` in interface `JRPrintText`

### setStyledText

    public void setStyledText(java.lang.Boolean isStyledText)

  Deprecated. Replaced by `setMarkup(String)`.

  Specified by:
    `setStyledText` in interface `JRPrintText`

### getMarkup

    public java.lang.String getMarkup()

  Description copied from interface: `JRCommonText`
  Returns the text markup.

  Specified by:
    `getMarkup` in interface `JRCommonText`

### getOwnMarkup

    public java.lang.String getOwnMarkup()

  Specified by:
    `getOwnMarkup` in interface `JRCommonText`
  Specified by:
    `getOwnMarkup` in interface `JRPrintText`

### setMarkup

    public void setMarkup(java.lang.String markup)

  Specified by:
    `setMarkup` in interface `JRCommonText`
  Specified by:
    `setMarkup` in interface `JRPrintText`

### getBox

    public JRBox getBox()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBox` in interface `JRPrintText`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### setBox

    public void setBox(JRBox box)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBox` in interface `JRPrintText`

### getFont

    public JRFont getFont()

  Deprecated.

  Specified by:
    `getFont` in interface `JRPrintText`

### setFont

    public void setFont(JRFont font)

  Deprecated.

  Specified by:
    `setFont` in interface `JRPrintText`

### getAnchorName

    public java.lang.String getAnchorName()

  Specified by:
    `getAnchorName` in interface `JRPrintAnchor`

### setAnchorName

    public void setAnchorName(java.lang.String anchorName)

  Specified by:
    `setAnchorName` in interface `JRPrintAnchor`

### getHyperlinkType

    public byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

  Specified by:
    `getHyperlinkType` in interface `JRPrintHyperlink`

### getHyperlinkTypeValue

    public HyperlinkTypeEnum getHyperlinkTypeValue()

  Description copied from interface: `JRPrintHyperlink`
  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

  Specified by:
    `getHyperlinkTypeValue` in interface `JRPrintHyperlink`
  Returns:
    one of the hyperlink type constants
  See Also:
    `JRPrintHyperlink.getLinkType()`

### setHyperlinkType

    public void setHyperlinkType(byte hyperlinkType)

  Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.

  Specified by:
    `setHyperlinkType` in interface `JRPrintHyperlink`

### setHyperlinkType

    public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

  Description copied from interface: `JRPrintHyperlink`
  Sets the link type as a built-in hyperlink type.

  Specified by:
    `setHyperlinkType` in interface `JRPrintHyperlink`
  Parameters:
    `hyperlinkType` - the built-in hyperlink type
  See Also:
    `JRPrintHyperlink.getLinkType()`

### getHyperlinkTarget

    public byte getHyperlinkTarget()

  Deprecated. Replaced by `getHyperlinkTargetValue()`.

  Specified by:
    `getHyperlinkTarget` in interface `JRPrintHyperlink`

### getHyperlinkTargetValue

    public HyperlinkTargetEnum getHyperlinkTargetValue()

  Specified by:
    `getHyperlinkTargetValue` in interface `JRPrintHyperlink`

### setHyperlinkTarget

    public void setHyperlinkTarget(byte hyperlinkTarget)

  Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.

  Specified by:
    `setHyperlinkTarget` in interface `JRPrintHyperlink`

### setHyperlinkTarget

    public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

  Specified by:
    `setHyperlinkTarget` in interface `JRPrintHyperlink`

### getLinkTarget

    public java.lang.String getLinkTarget()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `getLinkTarget` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink type

### setLinkTarget

    public void setLinkTarget(java.lang.String linkTarget)

  Description copied from interface: `JRPrintHyperlink`
  Sets the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `setLinkTarget` in interface `JRPrintHyperlink`
  Parameters:
    `linkTarget` - the hyperlink target name

### setLinkTarget

    public void setLinkTarget(byte hyperlinkTarget)

### getHyperlinkReference

    public java.lang.String getHyperlinkReference()

  Specified by:
    `getHyperlinkReference` in interface `JRPrintHyperlink`

### setHyperlinkReference

    public void setHyperlinkReference(java.lang.String hyperlinkReference)

  Specified by:
    `setHyperlinkReference` in interface `JRPrintHyperlink`

### getHyperlinkAnchor

    public java.lang.String getHyperlinkAnchor()

  Specified by:
    `getHyperlinkAnchor` in interface `JRPrintHyperlink`

### setHyperlinkAnchor

    public void setHyperlinkAnchor(java.lang.String hyperlinkAnchor)

  Specified by:
    `setHyperlinkAnchor` in interface `JRPrintHyperlink`

### getHyperlinkPage

    public java.lang.Integer getHyperlinkPage()

  Specified by:
    `getHyperlinkPage` in interface `JRPrintHyperlink`

### setHyperlinkPage

    public void setHyperlinkPage(java.lang.Integer hyperlinkPage)

  Specified by:
    `setHyperlinkPage` in interface `JRPrintHyperlink`

### getBookmarkLevel

    public int getBookmarkLevel()

  Description copied from interface: `JRPrintAnchor`
  Returns the level of the bookmark corresponding to the anchor.

  Specified by:
    `getBookmarkLevel` in interface `JRPrintAnchor`
  Returns:
    the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

### setBookmarkLevel

    public void setBookmarkLevel(int bookmarkLevel)

  Description copied from interface: `JRPrintAnchor`
  Sets the boomark level for the anchor.

  Specified by:
    `setBookmarkLevel` in interface `JRPrintAnchor`
  Parameters:
    `bookmarkLevel` - the bookmark level (starting from 1) or `NO_BOOKMARK` if no bookmark should be created

### getBorder

    public byte getBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorder` in interface `JRBox`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorder` in interface `JRBox`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorderColor` in interface `JRBox`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorderColor` in interface `JRBox`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorderColor` in interface `JRBox`

### getPadding

    public int getPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getPadding` in interface `JRBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnPadding` in interface `JRBox`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### getTopBorder

    public byte getTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorder` in interface `JRBox`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorderColor` in interface `JRBox`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRBox`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorderColor` in interface `JRBox`

### getTopPadding

    public int getTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopPadding` in interface `JRBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### getLeftBorder

    public byte getLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorder` in interface `JRBox`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorderColor` in interface `JRBox`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRBox`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorderColor` in interface `JRBox`

### getLeftPadding

    public int getLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftPadding` in interface `JRBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### getBottomBorder

    public byte getBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorder` in interface `JRBox`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorderColor` in interface `JRBox`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRBox`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorderColor` in interface `JRBox`

### getBottomPadding

    public int getBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomPadding` in interface `JRBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### getRightBorder

    public byte getRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorder` in interface `JRBox`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorderColor` in interface `JRBox`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRBox`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorderColor` in interface `JRBox`

### getRightPadding

    public int getRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightPadding` in interface `JRBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### getReportFont

    public JRReportFont getReportFont()

  Specified by:
    `getReportFont` in interface `JRFont`

### setReportFont

    public void setReportFont(JRReportFont reportFont)

  Specified by:
    `setReportFont` in interface `JRFont`

### getFontName

    public java.lang.String getFontName()

  Specified by:
    `getFontName` in interface `JRFont`

### getOwnFontName

    public java.lang.String getOwnFontName()

  Specified by:
    `getOwnFontName` in interface `JRFont`

### setFontName

    public void setFontName(java.lang.String fontName)

  Specified by:
    `setFontName` in interface `JRFont`

### isBold

    public boolean isBold()

  Specified by:
    `isBold` in interface `JRFont`

### isOwnBold

    public java.lang.Boolean isOwnBold()

  Specified by:
    `isOwnBold` in interface `JRFont`

### setBold

    public void setBold(boolean isBold)

  Specified by:
    `setBold` in interface `JRFont`

### setBold

    public void setBold(java.lang.Boolean isBold)

  Alternative setBold method which allows also to reset the "own" isBold property.

  Specified by:
    `setBold` in interface `JRFont`

### isItalic

    public boolean isItalic()

  Specified by:
    `isItalic` in interface `JRFont`

### isOwnItalic

    public java.lang.Boolean isOwnItalic()

  Specified by:
    `isOwnItalic` in interface `JRFont`

### setItalic

    public void setItalic(boolean isItalic)

  Specified by:
    `setItalic` in interface `JRFont`

### setItalic

    public void setItalic(java.lang.Boolean isItalic)

  Alternative setItalic method which allows also to reset the "own" isItalic property.

  Specified by:
    `setItalic` in interface `JRFont`

### isUnderline

    public boolean isUnderline()

  Specified by:
    `isUnderline` in interface `JRFont`

### isOwnUnderline

    public java.lang.Boolean isOwnUnderline()

  Specified by:
    `isOwnUnderline` in interface `JRFont`

### setUnderline

    public void setUnderline(boolean isUnderline)

  Specified by:
    `setUnderline` in interface `JRFont`

### setUnderline

    public void setUnderline(java.lang.Boolean isUnderline)

  Alternative setUnderline method which allows also to reset the "own" isUnderline property.

  Specified by:
    `setUnderline` in interface `JRFont`

### isStrikeThrough

    public boolean isStrikeThrough()

  Specified by:
    `isStrikeThrough` in interface `JRFont`

### isOwnStrikeThrough

    public java.lang.Boolean isOwnStrikeThrough()

  Specified by:
    `isOwnStrikeThrough` in interface `JRFont`

### setStrikeThrough

    public void setStrikeThrough(boolean isStrikeThrough)

  Specified by:
    `setStrikeThrough` in interface `JRFont`

### setStrikeThrough

    public void setStrikeThrough(java.lang.Boolean isStrikeThrough)

  Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.

  Specified by:
    `setStrikeThrough` in interface `JRFont`

### getFontSize

    public int getFontSize()

  Specified by:
    `getFontSize` in interface `JRCommonText`
  Specified by:
    `getFontSize` in interface `JRFont`

### getOwnFontSize

    public java.lang.Integer getOwnFontSize()

  Specified by:
    `getOwnFontSize` in interface `JRFont`

### setFontSize

    public void setFontSize(int fontSize)

  Specified by:
    `setFontSize` in interface `JRFont`

### setFontSize

    public void setFontSize(java.lang.Integer fontSize)

  Alternative setSize method which allows also to reset the "own" size property.

  Specified by:
    `setFontSize` in interface `JRFont`

### getSize

    public int getSize()

  Deprecated. Replaced by `getFontSize()`.

  Specified by:
    `getSize` in interface `JRFont`

### getOwnSize

    public java.lang.Integer getOwnSize()

  Deprecated. Replaced by `getOwnFontSize()`.

  Specified by:
    `getOwnSize` in interface `JRFont`

### setSize

    public void setSize(int size)

  Deprecated. Replaced by `setFontSize(int)`.

  Specified by:
    `setSize` in interface `JRFont`

### setSize

    public void setSize(java.lang.Integer size)

  Deprecated. Replaced by `setFontSize(Integer)`.

  Specified by:
    `setSize` in interface `JRFont`

### getPdfFontName

    public java.lang.String getPdfFontName()

  Specified by:
    `getPdfFontName` in interface `JRFont`

### getOwnPdfFontName

    public java.lang.String getOwnPdfFontName()

  Specified by:
    `getOwnPdfFontName` in interface `JRFont`

### setPdfFontName

    public void setPdfFontName(java.lang.String pdfFontName)

  Specified by:
    `setPdfFontName` in interface `JRFont`

### getPdfEncoding

    public java.lang.String getPdfEncoding()

  Specified by:
    `getPdfEncoding` in interface `JRFont`

### getOwnPdfEncoding

    public java.lang.String getOwnPdfEncoding()

  Specified by:
    `getOwnPdfEncoding` in interface `JRFont`

### setPdfEncoding

    public void setPdfEncoding(java.lang.String pdfEncoding)

  Specified by:
    `setPdfEncoding` in interface `JRFont`

### isPdfEmbedded

    public boolean isPdfEmbedded()

  Specified by:
    `isPdfEmbedded` in interface `JRFont`

### isOwnPdfEmbedded

    public java.lang.Boolean isOwnPdfEmbedded()

  Specified by:
    `isOwnPdfEmbedded` in interface `JRFont`

### setPdfEmbedded

    public void setPdfEmbedded(boolean isPdfEmbedded)

  Specified by:
    `setPdfEmbedded` in interface `JRFont`

### setPdfEmbedded

    public void setPdfEmbedded(java.lang.Boolean isPdfEmbedded)

  Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.

  Specified by:
    `setPdfEmbedded` in interface `JRFont`

### getValueClassName

    public java.lang.String getValueClassName()

  Description copied from interface: `JRPrintText`
  Returns the type of the value which was used to generate this text.

  `Text fields` that have a non-`String` expression save the value type using this attribute. This information can be used by exporters to treat numerical or date texts (for instance) in a special manner.

  Specified by:
    `getValueClassName` in interface `JRPrintText`
  Returns:
    the type of the original value used to generate the text

### getPattern

    public java.lang.String getPattern()

  Description copied from interface: `JRPrintText`
  Returns the pattern used to format a value that was the source of this text.

  The pattern can be used to parse the text back to its source value.

  Specified by:
    `getPattern` in interface `JRPrintText`
  Returns:
    the pattern used to format this text's source value
  See Also:
    `JRPrintText.getValueClassName()`

### getFormatFactoryClass

    public java.lang.String getFormatFactoryClass()

  Description copied from interface: `JRPrintText`
  Returns the name of the class implementing the `FormatFactory` interface to use with this text element, in case it is not the same as the one for the overall document.

  Specified by:
    `getFormatFactoryClass` in interface `JRPrintText`

### getLocaleCode

    public java.lang.String getLocaleCode()

  Description copied from interface: `JRPrintText`
  Returns the code of the `java.util.Locale` which was used while formatting the source value of the text.

  The code is created using the `java.util.Locale.toString()` convention.

  When this attribute is null, the locale returned by `JasperPrint.getLocaleCode()` is used. This way, the locale is specified in a single place when all the (or many ) texts from a print object were formatted using the same locale.

  Specified by:
    `getLocaleCode` in interface `JRPrintText`
  Returns:
    the code of the `java.util.Locale` used when formatting this text's source value

### getTimeZoneId

    public java.lang.String getTimeZoneId()

  Description copied from interface: `JRPrintText`
  Returns the `ID` of the `java.util.TimeZone` used to format this text's date source value.

  When this attribute is null, the time zone returned by `JasperPrint.getTimeZoneId()` is used.

  Specified by:
    `getTimeZoneId` in interface `JRPrintText`
  Returns:
    the `ID` of the `java.util.TimeZone` used to format this text's date source value

### getHyperlinkParameters

    public JRPrintHyperlinkParameters getHyperlinkParameters()

  Description copied from interface: `JRPrintHyperlink`
  Returns the set of custom hyperlink parameters.

  Specified by:
    `getHyperlinkParameters` in interface `JRPrintHyperlink`
  Returns:
    the set of custom hyperlink parameters
  See Also:
    `JRPrintHyperlink.setHyperlinkParameters(JRPrintHyperlinkParameters)`, `JRPrintHyperlinkParameter`

### setHyperlinkParameters

    public void setHyperlinkParameters(JRPrintHyperlinkParameters hyperlinkParameters)

  Description copied from interface: `JRPrintHyperlink`
  Sets the custom hyperlink parameters.

  These parameters will be used to produce the actual hyperlink when the report is exported.

  Specified by:
    `setHyperlinkParameters` in interface `JRPrintHyperlink`
  Parameters:
    `hyperlinkParameters` - the set of custom hyperlink parameters

### getLinkType

    public java.lang.String getLinkType()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink type.

  Specified by:
    `getLinkType` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink type

### setLinkType

    public void setLinkType(java.lang.String type)

  Description copied from interface: `JRPrintHyperlink`
  Sets the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Specified by:
    `setLinkType` in interface `JRPrintHyperlink`
  Parameters:
    `type` - the hyperlink type

### getHyperlinkTooltip

    public java.lang.String getHyperlinkTooltip()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink tooltip.

  Specified by:
    `getHyperlinkTooltip` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink tooltip

### setHyperlinkTooltip

    public void setHyperlinkTooltip(java.lang.String hyperlinkTooltip)

  Description copied from interface: `JRPrintHyperlink`
  Sets the tooltip to be used for the hyperlink.

  Specified by:
    `setHyperlinkTooltip` in interface `JRPrintHyperlink`
  Parameters:
    `hyperlinkTooltip` - the tooltip

### accept

    public <T> void accept(PrintElementVisitor<T> visitor,
                           T arg)

  Description copied from interface: `JRPrintElement`
  Accepts a print element visitor.

  The element calls the method that corresponds to the element type on the visitor.

  Specified by:
    `accept` in interface `JRPrintElement`
  Overrides:
    `accept` in class `JRTemplatePrintElement`
  Type Parameters:
    `T` - the type of the argument passed to the visit operation
  Parameters:
    `visitor` - the visitor objects
    `arg` - the argument passed to the visit operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com